Marketplace
Get your custom database pricing entries
List the managed database rates your organization has registered. Only your own rates are returned. Filters combine, and paging is by limit and offset.
GET
/
marketplace
/
providers
/
databases
Get your custom database pricing entries
curl --request GET \
--url https://pricing.baselinehq.cloud/marketplace/providers/databases \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/marketplace/providers/databases"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/marketplace/providers/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"architecture": "<string>",
"availability_zone": "<string>",
"billing_config": "<string>",
"capacity_unit": "<string>",
"cost_per_capacity_unit": 123,
"cost_per_hour": 123,
"cost_per_io_request": 123,
"cost_per_iops_hour": 123,
"cost_per_storage_gb_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"cost_per_vcpu_license_hour": 123,
"cpu_cores": 123,
"cpu_cores_cost_per_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"deployment_option": "<string>",
"edition": "<string>",
"engine": "<string>",
"id": "<string>",
"instance_type": "<string>",
"max_iops": 123,
"max_storage_gb": 123,
"max_throughput_mbps": 123,
"min_iops": 123,
"min_storage_gb": 123,
"min_throughput_mbps": 123,
"native_cost_per_hour": 123,
"native_cost_per_storage_gb_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"ram_gb": 123,
"ram_gb_cost_per_hour": 123,
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"storage_type": "<string>",
"tags": {},
"updated_at": "<string>",
"usage_type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum entries to return (default 500)
Entries to skip
Filter by service
Filter by region
Filter by engine
Filter by edition
Filter by instance type
Filter by usage type
Response
Pricing response for custom database pricing
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get your custom database pricing entries
